

#ifndef  _INC_FILTERED_FP_H_
#define  _INC_FILTERED_FP_H_

#if      0
/*
BEGIN DOCUMENTATION

Two functions are provided for taking a file pointer, piping the contents
through a filter, and modifying the original file pointer to read the result.

FILE *filtered_fp(FILE *fp, char *cmd, char **args);
FILE *filtered_fp_putchars(FILE *fp, char *cmd, char **args, int *chrs, int nchrs);

  - FP    is the input file pointer
  - CMD   is the program to run as the pipe
  - ARGS  is a NULL terminated array of program arguments (argv).
          The zeroth should be a program name.
  - CHRS  is an array of characters to precede those from FP
  - NCHRS is the number of characters in CHRS
  
The original file pointer (modified to see the filtered result) is returned,
or NULL on error.


END DOCUMENTATION */
#endif  


#include <stdio.h>

#include "misc.h"
#include "panic.h"


FILE *filtered_fp(FILE *fp, char *cmd, char **args);
FILE *filtered_fp_putchars(FILE *fp, char *cmd, char **args, int *chrs, int nchrs);

#endif   

